%define _without_test 1
%define module_version 0.1
%define module_name DBM-Any
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.1
Release: alt1
Summary: object-oriented interface to AnyDBM_File
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/T/TM/TMONROE/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
DBM::Any provides an object-oriented complement to AnyDBM_File's
tied interface.  It was written because it didn't seem to exist on
CPAN, and the author likes BerkeleyDB's object-oriented interface,
but doesn't want to force people to get BerkeleyDB if they don't
want.

The interface is a least common denominator among all available
database types; it contains the basic elements for keeping a
persistent hash on disk.

The methods should map fairly well to regular operations on hashes.
Which is why I won't painstakingly document every method here; you
should already know how to deal with hashes.

DBM::Any Objects should be considered opaque.  Even if you know
what sort of database is underneath, you're a very naughty person
if you attempt to circumvent the prescribed intreface. :-)


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/D*

%changelog
* Thu May 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1
- initial import by package builder

